package com.xxrv.wallet.bean;

import com.ruiwenliu.wrapper.base.BaseBean;

import java.math.BigDecimal;
import java.util.List;

/*****
 * 提现记录
 */
public class WalletcathListBean extends BaseBean {
    private boolean rel;
    private WalletcathData data;

    public boolean isRel() {
        return rel;
    }

    public void setRel(boolean rel) {
        this.rel = rel;
    }

    public WalletcathData getData() {
        return data;
    }

    public void setData(WalletcathData data) {
        this.data = data;
    }

    public static class WalletcathData {
        private double totalWithdraw;
        private int pageNum;
        private int pageSize;
        private int totalCount;
        private int totalPage;

        private List<ItemWalletcath> walletCaths;

        public double getTotalWithdraw() {
            return totalWithdraw;
        }

        public void setTotalWithdraw(double totalWithdraw) {
            this.totalWithdraw = totalWithdraw;
        }

        public int getPageNum() {
            return pageNum;
        }

        public void setPageNum(int pageNum) {
            this.pageNum = pageNum;
        }

        public int getPageSize() {
            return pageSize;
        }

        public void setPageSize(int pageSize) {
            this.pageSize = pageSize;
        }

        public int getTotalCount() {
            return totalCount;
        }

        public void setTotalCount(int totalCount) {
            this.totalCount = totalCount;
        }

        public int getTotalPage() {
            return totalPage;
        }

        public void setTotalPage(int totalPage) {
            this.totalPage = totalPage;
        }

        public List<ItemWalletcath> getWalletCaths() {
            return walletCaths;
        }

        public void setWalletCaths(List<ItemWalletcath> walletCaths) {
            this.walletCaths = walletCaths;
        }
    }

    public static class ItemWalletcath {
        private int id;
        private int cathType;
        private String cono;
        private BigDecimal amount;
        private int stauts;
        private long crtTime;
        private long finishTime;
        private String accountNumberDesc;//": "提现到支付宝(PeakLin)",
        private String accountName;//": "PeakLin"

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public int getCathType() {
            return cathType;
        }

        public void setCathType(int cathType) {
            this.cathType = cathType;
        }


        public String getCono() {
            return cono;
        }

        public void setCono(String cono) {
            this.cono = cono;
        }

        public BigDecimal getAmount() {
            return amount;
        }

        public void setAmount(BigDecimal amount) {
            this.amount = amount;
        }

        public int getStauts() {
            return stauts;
        }

        public void setStauts(int stauts) {
            this.stauts = stauts;
        }

        public long getCrtTime() {
            return crtTime;
        }

        public void setCrtTime(long crtTime) {
            this.crtTime = crtTime;
        }

        public long getFinishTime() {
            return finishTime;
        }

        public void setFinishTime(long finishTime) {
            this.finishTime = finishTime;
        }

        public String getAccountNumberDesc() {
            return accountNumberDesc;
        }

        public void setAccountNumberDesc(String accountNumberDesc) {
            this.accountNumberDesc = accountNumberDesc;
        }

        public String getAccountName() {
            return accountName;
        }

        public void setAccountName(String accountName) {
            this.accountName = accountName;
        }
    }
}
